
Conversion Tools - Feature #1904

Feature # 1901 (New): modify the conversion process to properly run on Windows

update the chemtutor build.xml to handle conversion on Windows

11/02/2012 10:40 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 8.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

Related issues:

Related to Conversion Tools - Feature #1905: why does P2J_HOME have to be exp... New

Related to Conversion Tools - Feature #1906: find a way to programmatically f... New

History

#1 - 11/02/2012 10:44 AM - Greg Shah

- Estimated time changed from 4.00 to 8.00

Please see #1565 for details, but to summarize:

1. P2J_HOME had to be explicitly set via java -DP2J_HOME=.

2. The file encoding has to be explicitly set via java -Dfile.encoding="UTF-8"

3. Make sure logging for the build is implemented.  We want output to both the console and to a conversion log file.  In Linux we usually do this with

"tee".  Can we support this feature via ant in both Linux and Windows?

4. Any other changes (as shown in the .cmd scripts in #1565) needed to get conversion to run.

Don't forget to document all of these things in the Conversion Handbook.

#2 - 11/02/2012 10:56 AM - Greg Shah

- Parent task set to #1901

#3 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)
